Bug 28526 - Impossible to search only zero
Summary: Impossible to search only zero
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-08 08:28 UTC by Fridolin Somers
Modified: 2021-11-04 01:18 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28526: Impossible to search only zero (1.77 KB, patch)
2021-06-08 08:52 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28526: Impossible to search only zero (1.82 KB, patch)
2021-06-08 13:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28526: Impossible to search only zero (1.93 KB, patch)
2021-06-11 17:51 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28526: (QA follow-up) Don't search if query is blank (1.70 KB, patch)
2021-06-11 17:51 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-06-08 08:28:06 UTC
In staff interface and OPAC, searching only zero leads to advanced search page.
Comment 1 Fridolin Somers 2021-06-08 08:52:56 UTC
Created attachment 121713 [details] [review]
Bug 28526: Impossible to search only zero

In staff interface and OPAC, searching only zero leads to advanced search page.

Test plan :
1) Go to opac home page
2) Enter 0 into search field
=> Without patch you go to advanced search page
=> With patch you go to results page
3) Idem on staff interface
Comment 2 Owen Leonard 2021-06-08 13:06:11 UTC
Created attachment 121723 [details] [review]
Bug 28526: Impossible to search only zero

In staff interface and OPAC, searching only zero leads to advanced search page.

Test plan :
1) Go to opac home page
2) Enter 0 into search field
=> Without patch you go to advanced search page
=> With patch you go to results page
3) Idem on staff interface

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2021-06-11 17:51:45 UTC
Created attachment 121872 [details] [review]
Bug 28526: Impossible to search only zero

In staff interface and OPAC, searching only zero leads to advanced search page.

Test plan :
1) Go to opac home page
2) Enter 0 into search field
=> Without patch you go to advanced search page
=> With patch you go to results page
3) Idem on staff interface

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2021-06-11 17:51:48 UTC
Created attachment 121873 [details] [review]
Bug 28526: (QA follow-up) Don't search if query is blank

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-06-21 10:06:45 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-08-04 08:15:27 UTC
Can this be backported to 21.05.x please ?